Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class CallerConstructorInfo

    java.lang.Object
      org.jboss.aop.JoinPointInfo
          org.jboss.aop.CallerConstructorInfo

Direct Known Subclasses:
  ConByConInfo, ConByMethodInfo

public abstract class CallerConstructorInfo
extends JoinPointInfo

Comment

Version:
  $Revision: 1.5 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.aop.JoinPointInfo
`factories, factoryChain, interceptorChain, interceptors, joinpoint`

Constructor Summary
`` | `CallerConstructorInfo(Advisor advisor, Class calledClass, Constructor called, long calledConHash, Method wrappingMethod, Interceptor[] in)`
`protected` | `CallerConstructorInfo(CallerConstructorInfo other)`

Method Summary
`Class` | `getCalledClass()`
`long` | `getCalledConHash()`
`Class` | `getCallingClass()`
`Constructor` | `getConstructor()`
`Method` | `getWrappingMethod()`

Methods inherited from class org.jboss.aop.JoinPointInfo
`clear, copy, equalChains, getAdvisor, getFactories, getFactoryChain, getInterceptorChain, getInterceptors, getJoinpoint, hasAdvices, initialiseInterceptors, internalGetJoinpoint, setAdvisor, setFactories, setFactoryChain, setInterceptorChain, setInterceptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallerConstructorInfo

    public CallerConstructorInfo(Advisor advisor,
                                 Class calledClass,
                                 Constructor called,
                                 long calledConHash,
                                 Method wrappingMethod,
                                 Interceptor[] in)

### CallerConstructorInfo

    protected CallerConstructorInfo(CallerConstructorInfo other)

Method Detail

### getConstructor

    public Constructor getConstructor()

### getCallingClass

    public Class getCallingClass()

### getWrappingMethod

    public Method getWrappingMethod()

### getCalledConHash

    public long getCalledConHash()

### getCalledClass

    public Class getCalledClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.